server:
  port: 8803
  servlet:
    context-path: /dev
    session:
      persistent: false

  tomcat:
    accept-count: 150
    uri-encoding: UTF-8
    threads:
      max: 20
spring:
  application:
    name: info-collection
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    default-property-inclusion: non_null
    time-zone: GMT+8
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.99.12:3306/ldb_airport?characterEncoding=utf8&autoReconnect=true&allowMultiQueries=true&useSSL=false&serverTimezone=Asia/Shanghai
    username: root
    password: nqj##361
    hikari:
      maximum-pool-size: 10
      minimum-idle: 5
      connection-timeout: 30000
      idle-timeout: 600000
      max-lifetime: 1800000

  messages:
    basename: message/messages_zh_CN
    encoding: UTF-8
  servlet:
    multipart:
      enabled: true
      max-file-size: 50MB
      max-request-size: 50MB

logging:
  file:
    name: ./logs/${spring.application.name}.log
  level:
    com.yixin.review: info
  logback:
    rollingpolicy:
      max-history: 10
      max-file-size: 10MB

mybatis:
  mapper-locations: classpath:mapper/*.xml
  type-aliases-package: com.yixin.review.model.entity
  configuration:
    cache-enabled: true
    map-underscore-to-camel-case: true
pagehelper:
  helper-dialect: mysql
  page-size-zero: true
  params: count=countSql
  reasonable: true
  support-methods-arguments: true
##``````````````````````````````````` tkMapper 配置``````````````````````````````````````````````````````````````###
mapper. mappers: com.yx.face.boot.component.tk.TKMapper

##``````````````````````````````````` 微信小程序配置``````````````````````````````````````````````````````````````###
wx:
  miniapp:
    configs:
      - appid: wxa450871e7d9db6e4
        secret: e5d49626b581c8c5bde4dd3f73a46e29
        token: #微信小程序消息服务器配置的token
        aesKey: #微信小程序消息服务器配置的EncodingAESKey
        msgDataFormat: JSON
weixin.appid: wxa450871e7d9db6e4
##``````````````````````````````````` 在线文档 配置``````````````````````````````````````````````````````````````###
swagger:
  enable: true
knife4j:
  enable: true
  basic:
    enable: true
    ## Basic认证用户名
    username: airport
    ## Basic认证密码
    password: yx-review
##``````````````````````````````````` 上传文件 配置``````````````````````````````````````````````````````````````###
file.upload.path: file/
file.upload.path.relative: /file/**
web.address: https://noise.hz-hanghui.com:8088/info-collection/


##``````````````````````````````````` 人脸服务 配置``````````````````````````````````````````````````````````````###
face.service.tb: http://127.0.0.1:1820

#定时任务 每5分钟
cron.face.clear.user: 0 1/5 * * * ?
